This error states: The specified program requires a newer version of Windows.
Please install and utilise Driver Genius on compatible computer operating system. 

The latest version of Driver Genius is compatible with fully updated Windows XP, Windows Vista, Windows 7, Windows 8, Windows 8.1 and 10